SYSTEMD-ACTIVATE(8)

NAME
systemd-activate - Test socket activation of daemons

SYNOPSIS

/usr/lib/systemd/systemd-activate [OPTIONS...] daemon [OPTIONS...]

DESCRIPTION

systemd-activate can be used to launch a socket activated daemon from the command-line for testing purposes. It can also be used to launch single instances of the daemon per connection (inetd-style).

The daemon to launch and its options should be specifed after options intended for systemd-activate.

If the -a option is given, file descriptor of the connection will be used as the standard input and output of the launched process. Otherwise, standard input and output will be inherited, and sockets will be passed through file descriptors 3 and higher. Sockets passed through $LISTEN_FDS to systemd-activate will be passed through to the dameon, in the original positions. Other sockets specified with --listen will use consecutive descriptors.

OPTIONS

-l address, --listen=address
    Listen on this address. Takes a string like "2000" or "127.0.0.1:2001".

-a, --accept
    Launch a separate instance of daemon per connection and pass the connection socket as standard input and standard output.

-E VAR[=VALUE], --setenv=VAR[=VALUE]
    Add this variable to the environment of the launched process. If VAR is followed by "=", assume that it is a variable–value pair. Otherwise, obtain the value from the environment of systemd-activate itself.

-h, --help
    Print a short help text and exit.

--version
    Print a short version string and exit.

ENVIRONMENT VARIABLES

$LISTEN_FDS, $LISTEN_PID
    See sd_listen_fds(3).

$SYSTEMD_LOG_TARGET, $SYSTEMD_LOG_LEVEL, $SYSTEMD_LOG_COLOR, $SYSTEMD_LOG_LOCATION
    Same as in systemd(1).

EXAMPLES

Example 1. Run an echo server on port 2000

    $ /usr/lib/systemd/systemd-activate -l 2000 -a cat

Example 2. Run a socket activated instance of systemd-journal-gatewayd(8)

    $ /usr/lib/systemd/systemd-activate -l 19531 /usr/lib/systemd/systemd-journal-gatewayd

SEE ALSO

systemd(1), systemd.socket(5), systemd.service(5), cat(1)